Bug 1286122 - DHT + rebalance :- rebalance process was failed with child down error on removing brick (without start option) [NEEDINFO]
DHT + rebalance :- rebalance process was failed with child down error on remo...
Status: NEW
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute (Show other bugs)
3.1
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Nithya Balachandran
storage-qa-internal@redhat.com
dht-pm-query
: ZStream
Depends On: 1070580
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-27 06:35 EST by Susant Kumar Palai
Modified: 2017-08-30 04:49 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1070580
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rgowdapp: needinfo? (asrivast)


Attachments (Terms of Use)

  None (edit)
Comment 2 Raghavendra G 2016-06-28 07:59:22 EDT
Rebalance process doesn't switch to new graph. It continues with the same graph it started with. When a brick is removed, rebalance perceives that as a child-down. Hence it shuts down. Is there any use-case which is affected by this behavior? If no, this can be closed as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.